"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useGoods = require("../../hooks/useGoods.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
require("../../util/index.js");
const _sfc_main = {
  __name: "s-wallet-card",
  setup(__props) {
    const userWallet = common_vendor.computed(() => sheep_index.sheep.$store("user").userWallet);
    const userInfo = common_vendor.computed(() => sheep_index.sheep.$store("user").userInfo);
    const numData = common_vendor.computed(() => sheep_index.sheep.$store("user").numData);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(common_vendor.unref(sheep_hooks_useGoods.fen2yuan)(common_vendor.unref(userWallet).balance) || "0.00"),
        b: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/wallet/money")),
        c: common_vendor.t(common_vendor.unref(userInfo).point || 0),
        d: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/wallet/score")),
        e: common_vendor.t(common_vendor.unref(numData).unusedCouponCount),
        f: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/coupon/list", {
          type: "geted"
        })),
        g: common_vendor.unref(sheep_index.sheep).$url.static("/static/img/shop/user/wallet_icon.png"),
        h: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go("/pages/user/wallet/money"))
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-0aa1f5b2"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-wallet-card/s-wallet-card.vue"]]);
wx.createComponent(Component);
